### Method

# Gio FileMonitor emit_event

#### Declaration [src]

    void
    g_file_monitor_emit_event (
      GFileMonitor* monitor,
      GFile* child,
      GFile* other_file,
      GFileMonitorEvent event_type
    )

#### Description [src]

Emits the `GFileMonitor::changed` signal if a change has taken place. Should be called from file monitor implementations only.

Implementations are responsible to call this method from the thread-default main context (see `g_main_context_push_thread_default()`) of the thread that the monitor was created in.

#### Parameters

`child`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the method.

`other_file`

  Type: `GFile`

  A `GFile`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`event_type`

  Type: `GFileMonitorEvent`

  A set of `GFileMonitorEvent` flags.